tigase.jaxmpp.core.client.xmpp.modules.xep0136

## Class ResultSet<T>

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.xep0136.ResultSet<T>

- Direct Known Subclasses:
    ChatResultSet

      public class ResultSet<T>
      extends Object

  ResultSet class is representing results from server returned by ResultSetManagement.
  See Also:
    `http://xmpp.org/extensions/xep-0059.html`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResultSet()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCount()`
    `String` | `getFirst()`
    `Integer` | `getIndex()`
    `List<T>` | `getItems()`
    `String` | `getLast()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResultSet

          public ResultSet()

  - ### Method Detail

    - #### getCount

          public int getCount()

    - #### getFirst

          public String getFirst()

    - #### getIndex

          public Integer getIndex()

    - #### getItems

          public List<T> getItems()

    - #### getLast

          public String getLast()

Copyright © 2006–2020 Tigase. All rights reserved.